flip:
  parameter_names_with_default_values:
    DTYPE: float
    STORAGE: texture3d
  generate_variant_forall:
    DTYPE:
      - VALUE: half
      - VALUE: float
      - VALUE: double
      - VALUE: int8
      - VALUE: uint8
      - VALUE: int32
  shader_variants:
    - NAME: flip
